GroovyPagesPageContext (Grails 3.2.6)
Date: 2017-02-09

Package: org.grails.gsp.jsp

## [Java] Class GroovyPagesPageContext

- org.grails.gsp.jsp.GroovyPagesPageContext

- A JSP PageContext implementation for use with GSP.

  Authors:
    Graeme Rocher
  Since:
    1.1

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class javax.servlet.jsp.PageContext` | `PAGE_SCOPE, REQUEST_SCOPE, SESSION_SCOPE, APPLICATION_SCOPE, PAGE, PAGECONTEXT, REQUEST, RESPONSE, CONFIG, SESSION, OUT, APPLICATION, EXCEPTION`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyPagesPageContext (javax.servlet.Servlet pagesServlet, groovy.lang.Binding pageScope)`
    `GroovyPagesPageContext (groovy.lang.Binding pageScope)`
    `GroovyPagesPageContext ()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.Object` | `findAttribute(java.lang.String name)`
    `void` | `forward(java.lang.String url)`
    `java.lang.Object` | `getAttribute(java.lang.String name)`
    `java.lang.Object` | `getAttribute(java.lang.String name, int scope)`
    `java.util.Enumeration` | `getAttributeNamesInScope(int scope)`
    `int` | `getAttributesScope(java.lang.String name)`
    `javax.el.ELContext` | `getELContext()`
    `java.lang.Exception` | `getException()`
    `javax.servlet.jsp.el.ExpressionEvaluator` | `getExpressionEvaluator()`
    `javax.servlet.jsp.JspWriter` | `getOut()`
    `java.lang.Object` | `getPage()`
    `javax.servlet.ServletRequest` | `getRequest()`
    `javax.servlet.ServletResponse` | `getResponse()`
    `javax.servlet.ServletConfig` | `getServletConfig()`
    `javax.servlet.ServletContext` | `getServletContext()`
    `javax.servlet.http.HttpSession` | `getSession()`
    `javax.servlet.jsp.el.VariableResolver` | `getVariableResolver()`
    `void` | `handlePageException(java.lang.Exception e)`
    `void` | `handlePageException(java.lang.Throwable throwable)`
    `void` | `include(java.lang.String url)`
    `void` | `include(java.lang.String url, boolean flush)`
    `void` | `initialize(javax.servlet.Servlet s, javax.servlet.ServletRequest servletRequest, javax.servlet.ServletResponse servletResponse, java.lang.String errorPageURL, boolean needSession, int bufferSize, boolean autoFlush)`
    `javax.servlet.jsp.JspWriter` | `popBody()`
    `javax.servlet.jsp.tagext.BodyContent` | `pushBody()`
    `void` | `release()`
    `void` | `removeAttribute(java.lang.String name)`
    `void` | `removeAttribute(java.lang.String name, int scope)`
    `void` | `setAttribute(java.lang.String name, java.lang.Object value)`
    `void` | `setAttribute(java.lang.String name, java.lang.Object value, int scope)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class javax.servlet.jsp.PageContext` | `javax.servlet.jsp.PageContext#include(java.lang.String, boolean), javax.servlet.jsp.PageContext#include(java.lang.String), javax.servlet.jsp.PageContext#getPage(), javax.servlet.jsp.PageContext#getServletContext(), javax.servlet.jsp.PageContext#getSession(), javax.servlet.jsp.PageContext#getResponse(), javax.servlet.jsp.PageContext#forward(java.lang.String), javax.servlet.jsp.PageContext#getRequest(), javax.servlet.jsp.PageContext#getServletConfig(), javax.servlet.jsp.PageContext#handlePageException(java.lang.Throwable), javax.servlet.jsp.PageContext#handlePageException(java.lang.Exception), javax.servlet.jsp.PageContext#pushBody(), javax.servlet.jsp.PageContext#getErrorData(), javax.servlet.jsp.PageContext#initialize(javax.servlet.Servlet, javax.servlet.ServletRequest, javax.servlet.ServletResponse, java.lang.String, boolean, int, boolean), javax.servlet.jsp.PageContext#getException(), javax.servlet.jsp.PageContext#release(), javax.servlet.jsp.PageContext#getAttribute(java.lang.String, int), javax.servlet.jsp.PageContext#getAttribute(java.lang.String), javax.servlet.jsp.PageContext#removeAttribute(java.lang.String, int), javax.servlet.jsp.PageContext#removeAttribute(java.lang.String), javax.servlet.jsp.PageContext#getAttributesScope(java.lang.String), javax.servlet.jsp.PageContext#setAttribute(java.lang.String, java.lang.Object), javax.servlet.jsp.PageContext#setAttribute(java.lang.String, java.lang.Object, int), javax.servlet.jsp.PageContext#getOut(), javax.servlet.jsp.PageContext#getAttributeNamesInScope(int), javax.servlet.jsp.PageContext#pushBody(java.io.Writer), javax.servlet.jsp.PageContext#findAttribute(java.lang.String), javax.servlet.jsp.PageContext#getExpressionEvaluator(), javax.servlet.jsp.PageContext#getVariableResolver(), javax.servlet.jsp.PageContext#getELContext(), javax.servlet.jsp.PageContext#popBody(), javax.servlet.jsp.PageContext#wait(long, int), javax.servlet.jsp.PageContext#wait(long), javax.servlet.jsp.PageContext#wait(), javax.servlet.jsp.PageContext#equals(java.lang.Object), javax.servlet.jsp.PageContext#toString(), javax.servlet.jsp.PageContext#hashCode(), javax.servlet.jsp.PageContext#getClass(), javax.servlet.jsp.PageContext#notify(), javax.servlet.jsp.PageContext#notifyAll()`
    `class javax.servlet.jsp.JspContext` | `javax.servlet.jsp.JspContext#getAttribute(java.lang.String, int), javax.servlet.jsp.JspContext#getAttribute(java.lang.String), javax.servlet.jsp.JspContext#removeAttribute(java.lang.String, int), javax.servlet.jsp.JspContext#removeAttribute(java.lang.String), javax.servlet.jsp.JspContext#getAttributesScope(java.lang.String), javax.servlet.jsp.JspContext#setAttribute(java.lang.String, java.lang.Object), javax.servlet.jsp.JspContext#setAttribute(java.lang.String, java.lang.Object, int), javax.servlet.jsp.JspContext#getOut(), javax.servlet.jsp.JspContext#getAttributeNamesInScope(int), javax.servlet.jsp.JspContext#pushBody(java.io.Writer), javax.servlet.jsp.JspContext#findAttribute(java.lang.String), javax.servlet.jsp.JspContext#getExpressionEvaluator(), javax.servlet.jsp.JspContext#getVariableResolver(), javax.servlet.jsp.JspContext#getELContext(), javax.servlet.jsp.JspContext#popBody(), javax.servlet.jsp.JspContext#wait(long, int), javax.servlet.jsp.JspContext#wait(long), javax.servlet.jsp.JspContext#wait(), javax.servlet.jsp.JspContext#equals(java.lang.Object), javax.servlet.jsp.JspContext#toString(), javax.servlet.jsp.JspContext#hashCode(), javax.servlet.jsp.JspContext#getClass(), javax.servlet.jsp.JspContext#notify(), javax.servlet.jsp.JspContext#notifyAll()`

- - ### Constructor Detail

    - #### public GroovyPagesPageContext(javax.servlet.Servlet pagesServlet, groovy.lang.Binding pageScope)

    - #### @java.lang.SuppressWarnings("serial") public GroovyPagesPageContext(groovy.lang.Binding pageScope)

    - #### public GroovyPagesPageContext()

  - ### Method Detail

    - #### @java.lang.Override public java.lang.Object findAttribute(java.lang.String name)

    - #### @java.lang.Override public void forward(java.lang.String url)

    - #### @java.lang.Override public java.lang.Object getAttribute(java.lang.String name)

    - #### @java.lang.Override public java.lang.Object getAttribute(java.lang.String name, int scope)

    - #### @java.lang.SuppressWarnings("rawtypes") @java.lang.Override public java.util.Enumeration getAttributeNamesInScope(int scope)

    - #### @java.lang.Override public int getAttributesScope(java.lang.String name)

    - #### public javax.el.ELContext getELContext()

    - #### @java.lang.Override public java.lang.Exception getException()

    - #### @java.lang.Override public javax.servlet.jsp.el.ExpressionEvaluator getExpressionEvaluator()

    - #### @java.lang.Override public javax.servlet.jsp.JspWriter getOut()

    - #### @java.lang.Override public java.lang.Object getPage()

    - #### @java.lang.Override public javax.servlet.ServletRequest getRequest()

    - #### @java.lang.Override public javax.servlet.ServletResponse getResponse()

    - #### @java.lang.Override public javax.servlet.ServletConfig getServletConfig()

    - #### @java.lang.Override public javax.servlet.ServletContext getServletContext()

    - #### @java.lang.Override public javax.servlet.http.HttpSession getSession()

    - #### @java.lang.Override public javax.servlet.jsp.el.VariableResolver getVariableResolver()

    - #### @java.lang.Override public void handlePageException(java.lang.Exception e)

    - #### @java.lang.Override public void handlePageException(java.lang.Throwable throwable)

    - #### @java.lang.Override public void include(java.lang.String url)

    - #### @java.lang.Override public void include(java.lang.String url, boolean flush)

    - #### @java.lang.Override public void initialize(javax.servlet.Servlet s, javax.servlet.ServletRequest servletRequest, javax.servlet.ServletResponse servletResponse, java.lang.String errorPageURL, boolean needSession, int bufferSize, boolean autoFlush)

    - #### @java.lang.Override public javax.servlet.jsp.JspWriter popBody()

    - #### @java.lang.Override public javax.servlet.jsp.tagext.BodyContent pushBody()

    - #### @java.lang.Override public void release()

    - #### @java.lang.Override public void removeAttribute(java.lang.String name)

    - #### @java.lang.Override public void removeAttribute(java.lang.String name, int scope)

    - #### @java.lang.Override public void setAttribute(java.lang.String name, java.lang.Object value)

    - #### @java.lang.Override public void setAttribute(java.lang.String name, java.lang.Object value, int scope)